<?php declare(strict_types=1);

namespace App;

use Symfony\Bundle\FrameworkBundle\Kernel\MicroKernelTrait;
use Symfony\Component\HttpKernel\Kernel as BaseKernel;

final class Kernel extends BaseKernel
{
    use MicroKernelTrait;

    public function __construct(
        protected string $environment,
        protected bool $debug,
    ) {
        parent::__construct($environment, $debug);
        if ($environment === 'test') {
            $this->debug = false;
        }

    }
}
